# Podman role
Allows the server to run podman/docker containers. Required for some services.

## Options
### `podman.containers`
A set with all the same options as `virtualisation.oci-containers.containers`
with the addition of a `imageMetadata` option on each container which can be
used instead of the `image` option to cache an exact image into the nix store
at build time.

Example:
```nix
{
  "example-container" = {
    imageMetadata = {
      imageName = "ghcr.io/goauthentik/server";
      imageDigest = "sha256:7464a70c0d84df0816858106116a3306a80359b4300aa656c3a5ab790a38c229"; # 2024.12.3
      sha256 = "fadbb55b7ae1d84d7322538101e933caa021582e5120828040c3883a18b1b3d5";
    };
    # Other container options
  };
}
```

